$ErrorActionPreference = 'Stop'; # stop on all errors

$taskIsRunning = Get-ScheduledTask | ? TaskName -eq "keepalive-admobilize"
if ($taskIsRunning) {
  schtasks.exe /DELETE /TN "keepalive-admobilize" /F
}

$desktopUiISRunning = GET-PROCESS | ? ProcessName -eq "admobilize-desktop-ui.exe"
if($desktopUiISRunning) {
  taskkill /f /im "admobilize-desktop-ui.exe"
}

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.30-beta-win32-ia32.msi'
$url64 = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.30-beta-win32-x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-viewer*'
  checksum      = 'C69ADB6B5326BB6A152510EF4F213DC83DBBA0987E47DB407C800A86F2A42229'
  checksum64    = '836C16EF4937D79B05AC1A0C213AC95AAC28C04174F2755F4FFE2746F8ABECF6'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize Desktop UI" -PathType 'Machine'

if ($desktopUiISRunning) {
  $commandExist = Get-Command admobilize-desktop-ui.exe -errorAction SilentlyContinue
  if($commandExist) {
    admobilize-desktop-ui.exe
  }
}
